> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Authentication

> Start the authentication process by sending an OTP to the provided email address

<Tip>
  This endpoint is for authenticating an existing user. For new users, use the
  [Create Account](/grid/v1/api-reference/endpoint/account-management/post)
  endpoint.
</Tip>


## OpenAPI

````yaml POST /api/grid/v1/auth
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/grid/v1/auth:
    post:
      tags:
        - auth
      summary: Initiate email authentication
      description: >-
        Start the authentication process by sending an OTP to the provided email
        address. Includes automatic provider fallback: if the requested provider
        (default: Privy) is unavailable or times out, the endpoint falls back to
        the alternate provider. When a fallback occurs, the response includes
        `requested_provider` (the originally requested provider) and
        `fallback_reason` (`timeout` or `provider_error`).
      operationId: handler
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitiateAuthRequestPayload'
        required: true
      responses:
        '202':
          description: OTP sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateAuthResponsePayload'
        '400':
          description: Invalid email address
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
components:
  schemas:
    InitiateAuthRequestPayload:
      type: object
      required:
        - email
      properties:
        email:
          type: string
        provider:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/GridMPCProvider'
        smart_account_address:
          type:
            - string
            - 'null'
    InitiateAuthResponsePayload:
      type: object
      required:
        - type
        - email
        - status
        - otp_sent
        - provider
        - created_at
        - expires_at
      properties:
        created_at:
          type: string
          format: date-time
        email:
          type: string
        expires_at:
          type: string
          format: date-time
        fallback_reason:
          type:
            - string
            - 'null'
        otp_id:
          type:
            - string
            - 'null'
        otp_sent:
          type: boolean
        provider:
          $ref: '#/components/schemas/GridMPCProvider'
        requested_provider:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/GridMPCProvider'
        status:
          type: string
        type:
          type: string
    GridMPCProvider:
      type: string
      enum:
        - privy
        - dynamic
        - passkey
        - turnkey
        - external
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````